Uploaded image for project: 'GeoServer'
  1. GeoServer
  2. GEOS-7844

importer - use the DS high-level API

    Details

    • Type: Improvement
    • Status: Closed
    • Priority: Medium
    • Resolution: Fixed
    • Affects Version/s: 2.10.0
    • Fix Version/s: 2.10.1, 2.11-beta
    • Component/s: Importer
    • Labels:
      None

      Description

      The importer uses the low-level DS reader/writer API. This is because it also supports non-datastore formats (like KML, GML, GeoJSON). However, some datastores (most notably geogig) are very slow with the low-level api and prefer the high-level api.

      See PR for more details.

        Attachments

          Issue links

            Activity

              People

              • Assignee:
                DBlasby David Blasby
                Reporter:
                DBlasby David Blasby
              • Votes:
                0 Vote for this issue
                Watchers:
                3 Start watching this issue

                Dates

                • Created:
                  Updated:
                  Resolved: